# 计算机网络复习

## 第一章

* 互联网特点：联通性和共享，共享指资源共享
* 互联网组成
  * 边缘部分（资源子网）
    * A->B通信：A上的某进程与B上某进程进行通信
    * C/S 客户（请求方） 服务器（服务提供方）
    * p2p 对等链接
  * 核心部分（通信子网）
    * 路由器 -> 分组交换 -> 转发收到的分组
    * 电路交换 -> 整个报文的比特流连续的从源点直达终点，好像在一个管道中传输
    * 报文交换 -> 整个报文先穿送到相邻节点，存储下来后查找转发表，转发到下个节点
    * 分组交换 -> 单个分组先穿送到相邻节点，存储下来后查找转发表，转发到下个节点
    * 连续大量 -> 电路交换， 提高突发利用率 -> 报文交换和分组交换， 分组交换时延小于报文
* 互联网分类
  * 广域网（WAN）
  * 城域网（MAN）
  * 局域网（LAN）
  * 个人局域网（PAN）
* 时延
  * 发送时延 = 数据帧长度(bit) / 发送速率(bit/s)
  * 传播时延 = 信道长度(m) / 电磁波在信道上的传输速率(m/s)
  * 总时延 = 发送时延 + 传播时延 + 处理时延 + 排队时延
  * 时延带宽积 = 传播时延 \* 带宽 （以bit为单位的链路长度）
  * 有效数据率 = 数据长度 / (发送时间 + RTT)
  * 利用率 网络当前的时延\[D\] = 网络空闲的时延\[D0\] / (1 - 利用率\[U\])
* 协议三要素：语法，语义，同步
* 五层协议： 应用层 运输层 网络层 数据链路层 物理层
  * 运输层：
    * tcp 报文段
    * udp 用户数据报

## 第二章

* 数据系统三部分：源系统（源点 发送器） 传输系统 目的系统（接收器 终点）
* 信道：单向通信（单工通信） 双向交替通信（半双工通信） 双向同时通信 （全双工通信）
* 基带信号：来自源的信号
  * 基带调制（编码）
    * 曼彻斯特编码 位周期中心向上跳变代表0 位周期中心的向下跳变代表1 也可以反过来定义
    * 查分曼彻斯特 每一位的中心处始终都有跳变 位开始边界有跳变代表0 没有跳变代表1
  * 带通调制（载波）
    * 调幅AM
    * 调频FM
    * 调相PM
* 信噪比 10 log10(S/N)(dB)
* 香农公式 C = W \* log2(1 + S / N)(bit/s)
  * W 为信道的带宽 S 为信道内信号的平均功率 N 信道内高斯噪声功率
* 引导型传输媒体
  * 双绞线
  * 同轴电缆
  * 光缆
    * 传输损耗小，中继距离长，对远距离传输特别经济
    * 抗雷电和电磁干扰性好
    * 无串音干扰，保密性好，不易被窃听
    * 体积小重量轻
* 非引导型传输媒体
  * 卫星通信 时延高
  * 地面微波接力通信
* 频分复用 时分复用 统计时分复用
  * 码分复用 CDM（计算题）
  * 码分多址 CDMA
  * 每个站点被指配唯一的码片序列，各个站点的码片序列正交（各位相乘相加得0）
  * 发1 发码片 发0 发反码
  * 接受站用码片和接受到的数据做内积，其他站的乘完得0 ，目标站得1就是1 ， -1 就是0

## 第三章

* 数据链路层协议数据单元：帧
* 封装成帧
  * 发送从帧首部开始
  * 帧的数据长度要小于MTU 1500B
  * 帧首部和尾部用于帧定界和必要的控制信息
  * 传输开始符SOH 01
  * 传输结束符EOT 04
* 不管从键盘上输入什么字符都可以放在帧中传输过去：透明传输
  * 字节填充法
    * 如果数据中出现控制字符就在数据中出现的控制字符前加ESC转义字符 1B
    * 接收端会自动删除转义字符
    * 如果转义字符也出现在数据中就在出现的转义字符前加转义字符
* 差错检测
  * CRC循环冗余校验码
  * 后边的R(x) 为FCS(帧检验序列)
  * 帧丢失 帧重复 帧失序
* PPP点对点协议
  * 链路控制协议LCP
  * 网络控制协议NCP
  * 字节填充
    * 7E -> 7D,5E
    * 7D -> 7D,5D
    * 03 -> 7D,23
  * 零比特填充
    * 只要遇见5个1 在后边填0
* 使用广播信道的数据链路层
  * 星型网
  * 环形网
  * 总线网
* CSMA/CD协议
  * 电磁波在一公里电缆上的传播时延是5μs
